<?php
/*
	DevSaver web framework
	copyright (c) 2002-2018 DevSaver
		web:  www.devsaver.com
		mail: support@devsaver.com
*/

global $_TSM;

$_TSM["__TIME"] = date("G:i");

if ($_TSM["PUB:MODULE_NAME"]) {

	$_TSM["PUB:TITLE"] = $this->templates["skin.title"]->blockReplace(
		"Title" , 
		array(
			"title" => $_TSM["PUB:MODULE_NAME"],

			"public"	=> $_TSM["PUB:MODULE_LINK"] ? $this->templates["skin.title"]->blockREplace(
				"Public",
				array(
					"link" => $_TSM["PUB:MODULE_LINK"] 
				)
			) : ""

		)
	);
} else {
	$_TSM["PUB:TITLE"] = "";
}

if (is_array($_TSM["PUB:MODULE_NAME_PARENT"])) {

	$_TSM["PUB:TITLE"] = $this->templates["skin.title"]->blockReplace(
			$_TSM["PUB:MODULE_NAME_PARENT"]["link"] ? "Parent" : "ParentNl" , 
			array(
				"parent" => $_TSM["PUB:MODULE_NAME_PARENT"]["title"],
				"link" => $_TSM["PUB:MODULE_NAME_PARENT"]["link"],
				"title" => $_TSM["PUB:MODULE_NAME"],


				"public"	=> $_TSM["PUB:MODULE_LINK"] ? $this->templates["skin.title"]->blockREplace(
					"Public",
					array(
						"link" => $_TSM["PUB:MODULE_LINK"] 
					)
				) : ""
						
			)
	);	
}




?>